org.aspectj.lang.annotation

## Annotation Type DeclareAnnotation

    @Retention(value=RUNTIME)
     @Target(value={TYPE,FIELD,METHOD,CONSTRUCTOR})
    public @interface DeclareAnnotation

Author:
  Alexandre Vasseur

### Required Element Summary

Required Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Returns:
  the pointcut (type pattern for type, or method/ctor/field signature pattern)